/*
 * opkg_utils.h: OPKG utility functions
 *
 * Copyright (C) 2021 iopsys Software Solutions AB. All rights reserved.
 *
 * Author: Vivek Dutta <vivek.dutta@iopsys.eu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 */

#ifndef __OPKG_UTILS_H
#define __OPKG_UTILS_H
#include <stdbool.h>

int opkg_install_pkg(const char *pkg_name, char *output, int out_len);
int opkg_update_pkg(const char *pkg_name, char *output, int out_len);
int opkg_remove_pkg(const char *pkg_name, char *output, int out_len);
int opkg_get_version(const char *pkg_name, char *output, int out_len);

#endif //__OPKG_UTILS_H
