/*
 * swmod_crun.h: SWMOD deamon
 *
 * Copyright (C) 2020 iopsys Software Solutions AB. All rights reserved.
 *
 * Author: Suvendhu Hansa <suvendhu.hansa@iopsys.eu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 */

#ifndef SWMOD_CRUN_H
#define SWMOD_CRUN_H

#include "swmod_common.h"

int swmod_crun_perform_install(const PkgInfo *pkg, char *output, int out_len);
int swmod_crun_perform_remove(const char *ct_name, char *output, int outlen);
void populate_crun_eu(ExecEnv_t *ee, const char *oci_uci_path);
int swmod_set_crun_service_state(ExecEnv_t *ee, char *eu, bool state, const char *oci_uci_path);
void swmod_perform_crun_install(char *section, int len);
void swmod_change_crun_du_state(const char *oci_uci_path);
void read_fault_code(struct ubus_request *req, int type, struct blob_attr *msg);

#endif // SWMOD_CRUN_H
